Bug 33806 - Filenames and Line numbers are missing from crash reports on managed code
Summary: Filenames and Line numbers are missing from crash reports on managed code
Status: REOPENED
Alias: None
Product: Android
Classification: Xamarin
Component: Mono runtime / AOT Compiler (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: Highest critical
Target Milestone: ---
Assignee: Jonathan Pryor
URL:
Depends on:
Blocks:
 
Reported: 2015-09-08 18:32 UTC by Bernie Habermeier
Modified: 2017-06-28 12:56 UTC (History)
12 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Bernie Habermeier 2015-09-08 18:32:57 UTC
We are unable to produce filenames and line numbers from crash reports on Android (and iOS), when compiling a Release build.  

I'm not sure what would be technically needed on Android.  I believe for iOS we'd need a good dsym file (that's been uploaded to a server, say) and run some command line tools (like atos) to arrive at the data we need.  Whatever that process is on iOS (I've not yet gotten it to work), I would hope there is a similar (or better) process for Android.

Bottom line:  We need a documented way from which we can implement filename and line number information. 

We're willing to script stuff out on our end, and invoke system tools on a server side -- assuming we know what the process needs to be.  

If it's possible on Android to produce filenames and linenumbers from a Release Build (without full debugging information that would bloat the app by 15 MB and make it slow to start), then we'd be super happy.

Related Bug: https://bugzilla.xamarin.com/show_bug.cgi?id=33804
Comment 1 Jonathan Pryor 2015-09-09 07:51:16 UTC
This should be "fixed" in Cycle 6, though we still need to write documentation on how this works:

http://developer.xamarin.com/releases/android/xamarin.android_5/xamarin.android_5.1.99/#Line_Numbers_and_Release_Builds

The problem is that stack traces, as-is, will NOT contain filename and line numbers, as providing this information increases memory use. Instead, stack traces will be formatted to include IL offset information, and we'll provide tooling to "post process" the stack traces to convert the IL offset into filename+line numbers.

*** This bug has been marked as a duplicate of bug 18137 ***
Comment 2 Stone 2015-12-17 01:39:08 UTC
We're still unable to observe line numbers from crash reports on Android in RELEASE mode. Is there any progress in 

"writing documentation on how this works:
http://developer.xamarin.com/releases/android/xamarin.android_5/xamarin.android_5.1.99/#Line_Numbers_and_Release_Builds"?

Thanks
Comment 3 Jonathan Pryor 2015-12-17 22:29:32 UTC
The process of "writing documentation on how this works" part resulted in us determining that it wasn't actually working as intended (oops), so parts have gone back to the drawing board as we figure out which way is up.

...which is why that section isn't present in the 6.0 release notes, while most of the other items in 5.1.99 *are* in the 6.0 release notes.
Comment 4 Bernie Habermeier 2015-12-17 22:32:29 UTC
Please also confirm if this will work for iOS -- different platform and considerations, but same exact issue.
Comment 6 Lucas Romero 2016-03-24 12:11:00 UTC
Crash reports without line number information are really not that great :( Would love this for both Android & iOS.
Comment 7 Björn Bentmar 2016-09-01 12:14:27 UTC
Im struggling getting line numbers in DEBUG releases, did any1 manage to get this? If so how? 

And what is the status on getting this fixed?

Thanks
Comment 8 Eric 2017-03-24 11:14:39 UTC
I am using Xamarin.Forms 2.3.3.193 and still having that issue. In Debug Mode I get the line number where an excpetion occured but not in Release mode. When will that issue be fixed?

Note You need to log in before you can comment on or make changes to this bug.